﻿<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="AddEditBlog.aspx.cs"
    Inherits="MPS.UI.Admin_AddEditBlog" Title="Add/Edit Blog" ValidateRequest="false" %>

<%@ Register Assembly="jQueryCalendar" Namespace="Westwind.Web.Controls" TagPrefix="ww" %>
<%@ Register TagPrefix="FTB" Namespace="FreeTextBoxControls" Assembly="FreeTextBox" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div class="item-header">
        <h2 class="title">
            <asp:HyperLink ID="lblNewBlog" Text="Post New Blog" NavigateUrl="#" runat="server" />
            <asp:HyperLink ID="lblEditBlog" Text="Edit Blog" NavigateUrl="#" Visible="false"
                runat="server" />
        </h2>
        <div class="categories">
            <b>
                <asp:Literal runat="server" ID="lblViews" Text="Add/Edit blogs" /></b>
        </div>
        <br />
    </div>
    <div id="commentViewEntry" class="commentViewBoxStyle">
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td>
                    <asp:DetailsView ID="dvwBlog" runat="server" AutoGenerateDeleteButton="True" AutoGenerateEditButton="True"
                        AutoGenerateInsertButton="True" AutoGenerateRows="False" DataKeyNames="ID" DataSourceID="objCurrArticle"
                        DefaultMode="Insert" GridLines="None" OnDataBound="dvwBlog_DataBound" OnModeChanged="dvwBlog_ModeChanged"
                        CommandRowStyle-HorizontalAlign="Center" CellPadding="4" ForeColor="#333333">
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <CommandRowStyle HorizontalAlign="Center" BackColor="#D1DDF1" Font-Bold="True"></CommandRowStyle>
                        <RowStyle BackColor="#EFF3FB" />
                        <FieldHeaderStyle Width="100px" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <Fields>
                            <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" ReadOnly="True"
                                SortExpression="ID" />
                            <asp:BoundField DataField="AddedDate" HeaderText="Added Date" InsertVisible="False"
                                ReadOnly="True" SortExpression="AddedDate" DataFormatString="{0:f}" />
                            <asp:BoundField DataField="AddedBy" HeaderText="Added By" InsertVisible="False" ReadOnly="True"
                                SortExpression="AddedBy" />
                            <asp:BoundField DataField="ViewCount" HeaderText="ViewCount" InsertVisible="False"
                                ReadOnly="True" SortExpression="ViewCount" />
                            <asp:TemplateField HeaderText="Category" SortExpression="CategoryID">
                                <ItemTemplate>
                                    <asp:Label ID="lblCategory" runat="server" Text='<%# Eval("CategoryTitle") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:DropDownList ID="ddlCategories" runat="server" DataSourceID="objAllCategories"
                                        DataTextField="Title" DataValueField="ID" SelectedValue='<%# Bind("CategoryID") %>'
                                        Width="200px" />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Title" SortExpression="Title">
                                <ItemTemplate>
                                    <asp:Label ID="lblTitle" runat="server" Text='<%# Eval("BlogTitle") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtTitle" runat="server" Text='<%# Bind("BlogTitle") %>' Width="200px"
                                        MaxLength="256"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="valRequireTitle" runat="server" ControlToValidate="txtTitle"
                                        SetFocusOnError="true" Text="The Title field is required." ToolTip="The Title field is required."
                                        Display="Dynamic"></asp:RequiredFieldValidator>
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Body" SortExpression="Body">
                                <ItemTemplate>
                                    <asp:Label ID="lblBody" runat="server" Text='<%# Eval("BlogText") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <FTB:FreeTextBox ID="txtBody" runat="server" Text='<%# Bind("BlogText") %>' Height="400px"
                                        Width="600px" />   
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Release Date" SortExpression="ReleaseDate">
                                <ItemTemplate>
                                    <asp:Label ID="lblReleaseDate" runat="server" Text='<%# Eval("ReleaseDate", "{0:d}") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <ww:jQueryCalendar runat="server" ID="txtReleaseDate" Text='<%# Bind("ReleaseDate", "{0:d}")%>'
                                        Width='80px' DisplayMode="AutoPopup">
                                    </ww:jQueryCalendar>
                                    <asp:CompareValidator runat="server" ID="valReleaseDateType" ControlToValidate="txtReleaseDate"
                                        SetFocusOnError="true" Display="Dynamic" Operator="DataTypeCheck" Type="Date"
                                        Text="The format of the release date is not valid." ToolTip="The format of the release date is not valid." />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Published" SortExpression="Published">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkApproved" runat="server" Checked='<%# Eval("isPublished") %>'
                                        Enabled="False" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:CheckBox ID="chkApproved" runat="server" Checked='<%# Bind("IsPublished") %>' />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Comments Enabled" SortExpression="CommentsEnabled">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkCommentsEnabled" runat="server" Checked='<%# Eval("isCommentsEnabled") %>'
                                        Enabled="False" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:CheckBox ID="chkCommentsEnabled" runat="server" Checked='<%# Bind("isCommentsEnabled") %>' />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Only For Members" SortExpression="OnlyForMembers">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkOnlyForMembers" runat="server" Checked='<%# Eval("isOnlyForMembers") %>'
                                        Enabled="False" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:CheckBox ID="chkOnlyForMembers" runat="server" Checked='<%# Bind("isOnlyForMembers") %>' />
                                </EditItemTemplate>
                            </asp:TemplateField>
                        </Fields>
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <EditRowStyle />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:DetailsView>
                </td>
            </tr>
        </table>
    </div>
    <asp:ObjectDataSource ID="objCurrArticle" runat="server" DeleteMethod="DeleteBlog"
        InsertMethod="InsertBlog" SelectMethod="GetBlogByID" TypeName="MPS.BLL.Blogs.Blog"
        UpdateMethod="UpdateBlog">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="id" Type="Int32" />
            <asp:Parameter Name="categoryID" Type="Int32" />
            <asp:Parameter Name="BlogTitle" Type="String" ConvertEmptyStringToNull="false" />
            <asp:Parameter Name="BlogText" Type="String" ConvertEmptyStringToNull="false" />
            <asp:Parameter Name="releaseDate" Type="DateTime" />
            <asp:Parameter Name="isPublished" Type="Boolean" />
            <asp:Parameter Name="isCommentsEnabled" Type="Boolean" />
            <asp:Parameter Name="isOnlyForMembers" Type="Boolean" />
        </UpdateParameters>
        <SelectParameters>
            <asp:QueryStringParameter Name="blogID" QueryStringField="ID" Type="Int32" />
        </SelectParameters>
        <InsertParameters>
            <asp:Parameter Name="categoryID" Type="Int32" />
            <asp:Parameter Name="BlogTitle" Type="String" ConvertEmptyStringToNull="false" />
            <asp:Parameter Name="BlogText" Type="String" ConvertEmptyStringToNull="false" />
            <asp:Parameter Name="releaseDate" Type="DateTime" />
            <asp:Parameter Name="isPublished" Type="Boolean" />
            <asp:Parameter Name="isCommentsEnabled" Type="Boolean" />
            <asp:Parameter Name="isOnlyForMembers" Type="Boolean" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="objAllCategories" runat="server" SelectMethod="GetCategories"
        TypeName="MPS.BLL.Blogs.Category"></asp:ObjectDataSource>
</asp:Content>
