﻿<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="ManageCategories.aspx.cs"
    Inherits="MPS.UI.Admin_ManageCategories" Title="Manage Categories" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div class="item-header">
        <h2 class="title">
            <asp:HyperLink ID="lblHeading" Text="Manage Categories" NavigateUrl="#" runat="server" />
        </h2>
        <div class="categories">
            <b>
                <asp:Literal runat="server" ID="lblViews" Text="Manage blog categories" /></b>
        </div>
        <br />
    </div>
    <div id="commentViewEntry" class="commentViewBoxStyle">
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td>
                    <b>Categories</b><br />
                    <br />
                    <asp:GridView ID="gvwCategories" runat="server" AutoGenerateColumns="False" DataSourceID="objAllCategories"
                        Width="50%" DataKeyNames="ID" OnRowDeleted="gvwCategories_RowDeleted" OnRowCreated="gvwCategories_RowCreated"
                        OnSelectedIndexChanged="gvwCategories_SelectedIndexChanged" CellPadding="2" CellSpacing="2" BorderWidth="0"
                        ShowHeader="False">
                        <Columns>
                            <asp:TemplateField>
                                <ItemTemplate>
                                    <div>
                                        <asp:Literal runat="server" ID="lblCatTitle" Text='<%# Eval("Title") %>' />
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <%-- ManageBlogs.aspx?CatID={0} --%>
                            <asp:HyperLinkField Text="<img border='0' src='../Images/manage_photo.png' alt='View blogs' />"
                                DataNavigateUrlFormatString="~/Category/{0}/Default.aspx" DataNavigateUrlFields="ID">
                                <ItemStyle HorizontalAlign="Center" Width="20px" />
                            </asp:HyperLinkField>
                            <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/Edit.gif" SelectText="Edit category"
                                ShowSelectButton="True">
                                <ItemStyle HorizontalAlign="Center" Width="20px" />
                            </asp:CommandField>
                            <asp:CommandField ButtonType="Image" DeleteImageUrl="~/Images/Delete.gif" DeleteText="Delete category"
                                ShowDeleteButton="True">
                                <ItemStyle HorizontalAlign="Center" Width="20px" />
                            </asp:CommandField>
                        </Columns>
                        <EmptyDataTemplate>
                            <b>No categories to show</b></EmptyDataTemplate>
                    </asp:GridView>
                    <asp:ObjectDataSource ID="objAllCategories" runat="server" SelectMethod="GetCategories"
                        TypeName="MPS.BLL.Blogs.Category" DeleteMethod="DeleteCategory"></asp:ObjectDataSource>
                    <p>
                    </p>
                    <asp:DetailsView ID="dvwCategory" runat="server" AutoGenerateRows="False" DataSourceID="objCurrCategory"
                        Height="50px" Width="50%" AutoGenerateEditButton="True" AutoGenerateInsertButton="True"
                        HeaderText="Category Details" GridLines="None" OnItemInserted="dvwCategory_ItemInserted"
                        OnItemUpdated="dvwCategory_ItemUpdated" DataKeyNames="ID" OnItemCreated="dvwCategory_ItemCreated"
                        DefaultMode="Insert" OnItemCommand="dvwCategory_ItemCommand" CellPadding="4"
                        ForeColor="#333333">
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <CommandRowStyle BackColor="#D1DDF1" Font-Bold="True" />
                        <RowStyle BackColor="#EFF3FB" />
                        <FieldHeaderStyle Width="100px" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <Fields>
                            <asp:BoundField DataField="ID" HeaderText="ID" ReadOnly="True" SortExpression="ID"
                                InsertVisible="False" />
                            <asp:BoundField DataField="AddedDate" HeaderText="AddedDate" InsertVisible="False"
                                ReadOnly="True" SortExpression="AddedDate" />
                            <asp:BoundField DataField="AddedBy" HeaderText="AddedBy" InsertVisible="False" ReadOnly="True"
                                SortExpression="AddedBy" />
                            <asp:TemplateField HeaderText="Title" SortExpression="Title">
                                <ItemTemplate>
                                    <asp:Label ID="lblTitle" runat="server" Text='<%# Eval("Title") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtTitle" runat="server" Text='<%# Bind("Title") %>' MaxLength="256"
                                        Width="200px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="valRequireTitle" runat="server" ControlToValidate="txtTitle"
                                        SetFocusOnError="true" Text="The Title field is required." ToolTip="The Title field is required."
                                        Display="Dynamic"></asp:RequiredFieldValidator>
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Importance" SortExpression="Importance">
                                <ItemTemplate>
                                    <asp:Label ID="lblImportance" runat="server" Text='<%# Eval("Importance") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtImportance" runat="server" Text='<%# Bind("Importance") %>' MaxLength="256"
                                        Width="100px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="valRequireImportance" runat="server" ControlToValidate="txtImportance"
                                        SetFocusOnError="true" Text="The Importance field is required." ToolTip="The Importance field is required."
                                        Display="Dynamic"></asp:RequiredFieldValidator>
                                    <asp:CompareValidator ID="valImportanceType" runat="server" Operator="DataTypeCheck"
                                        Type="Integer" ControlToValidate="txtImportance" Text="The Importance must be an integer."
                                        ToolTip="The Importance must be an integer." Display="dynamic" />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Description" SortExpression="Description" ConvertEmptyStringToNull="False">
                                <ItemTemplate>
                                    <asp:Label ID="lblDescription" runat="server" Text='<%# Eval("Description") %>' Width="100%"></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtDescription" runat="server" Text='<%# Bind("Description") %>'
                                        Rows="5" TextMode="MultiLine" MaxLength="4000" Width="400px"></asp:TextBox>
                                </EditItemTemplate>
                            </asp:TemplateField>
                        </Fields>
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <EditRowStyle />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:DetailsView>
                    <asp:ObjectDataSource ID="objCurrCategory" runat="server" InsertMethod="InsertCategory"
                        SelectMethod="GetCategoryByID" TypeName="MPS.BLL.Blogs.Category" UpdateMethod="UpdateCategory">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="gvwCategories" Name="categoryID" PropertyName="SelectedValue"
                                Type="Int32" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <p>
                    </p>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
