﻿<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="Guest.aspx.cs"
    Inherits="MPS.UI.Guest" Title="Guestbook" ValidateRequest="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div class="item-header">
        <h2 class="title">
            <asp:HyperLink ID="lblHeading" Text="Sign the Guestbook" NavigateUrl="#" runat="server" />
        </h2>
        <div class="categories">
            <b>
                <asp:Literal runat="server" ID="lblViews" Text="{0} people have signed the guestbook." /></b>
        </div>
        <br />
    </div>
    <div id="commentViewEntry" class="commentViewBoxStyle">
        <asp:DetailsView ID="dvwComment" runat="server" BorderWidth="0px" GridLines="None"
            CommandRowStyle-HorizontalAlign="Left" AutoGenerateInsertButton="True" AutoGenerateEditButton="true"
            AutoGenerateRows="False" DataSourceID="objCurrComment" DefaultMode="Insert" OnItemInserted="dvwComment_ItemInserted"
            OnItemCommand="dvwComment_ItemCommand" DataKeyNames="ID" OnItemUpdated="dvwComment_ItemUpdated"
            OnItemCreated="dvwComment_ItemCreated">
            <FieldHeaderStyle Width="80px" BorderWidth="0px" />
            <Fields>
                <asp:BoundField DataField="ID" HeaderText="ID:" ReadOnly="True" InsertVisible="False" />
                <asp:BoundField DataField="AddedDate" HeaderText="AddedDate:" InsertVisible="False"
                    ReadOnly="True" />
                <asp:BoundField DataField="AddedByIP" HeaderText="UserIP:" ReadOnly="True" InsertVisible="False" />
                <asp:TemplateField HeaderText="Name:">
                    <ItemTemplate>
                        <asp:Label ID="lblAddedBy" runat="server" Text='<%# Eval("AddedBy") %>' />
                    </ItemTemplate>
                    <InsertItemTemplate>
                        <asp:TextBox ID="txtAddedBy" runat="server" Text='<%# Bind("AddedBy") %>' MaxLength="256"
                            Width="200px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="valRequireAddedBy" runat="server" ControlToValidate="txtAddedBy"
                            SetFocusOnError="true" Text="Your name is required." ToolTip="Your name is required."
                            Display="Dynamic"></asp:RequiredFieldValidator>
                    </InsertItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="E-mail:">
                    <ItemTemplate>
                        <asp:HyperLink ID="lnkAddedByEmail" runat="server" Text='<%# Eval("AddedByEmail") %>'
                            NavigateUrl='<%# "mailto:" + Eval("AddedByEmail") %>' />
                    </ItemTemplate>
                    <InsertItemTemplate>
                        <asp:TextBox ID="txtAddedByEmail" runat="server" Text='<%# Bind("AddedByEmail") %>'
                            MaxLength="256" Width="200px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="valRequireAddedByEmail" runat="server" ControlToValidate="txtAddedByEmail"
                            SetFocusOnError="true" Text="Your e-mail is required." ToolTip="Your e-name is required."
                            Display="Dynamic"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator runat="server" ID="valEmailPattern" Display="Dynamic"
                            SetFocusOnError="true" ControlToValidate="txtAddedByEmail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                            Text="The e-mail is not well-formed." ToolTip="The e-mail is not well-formed." />
                    </InsertItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Message:">
                    <ItemTemplate>
                        <asp:Label ID="lblBody" runat="server" Text='<%# Eval("guestBookText") %>' />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox ID="txtBody" runat="server" CssClass="commentViewControlStyle" Text='<%# Bind("guestBookText") %>'
                            TextMode="MultiLine" Rows="5" Width="400px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="valRequireBody" runat="server" ControlToValidate="txtBody"
                            SetFocusOnError="true" Text="The message text is required." ToolTip="The comment text is required."
                            Display="Dynamic"></asp:RequiredFieldValidator>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <EditItemTemplate>
                        <asp:Panel runat="server" ID="panAdmin" Visible='<%# !UserCanEdit %>'>
                            <table cellspacing="0" cellpadding="0">
                                <tr>
                                    <td valign="middle">
                                        Anti Bot Image:
                                    </td>
                                    <td>
                                        <asp:Image ID="imgAntiBotImage" runat="server" ImageUrl="~/antibotimage.ashx" BorderStyle="Solid"
                                            BorderWidth="1" BorderColor="DarkGray" GenerateEmptyAlternateText="true" /><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <asp:TextBox runat="server" ID="txtAntiBotImage" MaxLength="4" Width="75px"></asp:TextBox>
                                        <asp:RequiredFieldValidator runat="server" ID="valAntiBotImageRequired" ControlToValidate="txtAntiBotImage"
                                            Display="dynamic" ErrorMessage="Please enter the characters displayed" SetFocusOnError="true"></asp:RequiredFieldValidator><br />
                                        <asp:CustomValidator runat="server" ID="valAntiBotImage" OnServerValidate="valAntiBotImage_ServerValidate"
                                            Text="Invalid Code" Display="dynamic"></asp:CustomValidator>
                                    </td>
                                </tr>
                            </table>
                        </asp:Panel>
                    </EditItemTemplate>
                </asp:TemplateField>
            </Fields>
        </asp:DetailsView>
        <asp:ObjectDataSource ID="objCurrComment" runat="server" InsertMethod="InsertGuestBook"
            SelectMethod="GetGuestBookByID" TypeName="MPS.BLL.GuestBook.GuestBook" UpdateMethod="UpdateGuestBook">
            <UpdateParameters>
                <asp:Parameter Name="id" Type="Int32" />
                <asp:Parameter Name="guestBookText" Type="String" />
            </UpdateParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="dlstComments" Name="guestBookID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="addedBy" Type="String" />
                <asp:Parameter Name="addedByEmail" Type="String" />
                <asp:Parameter Name="guestBookText" Type="String" />
            </InsertParameters>
        </asp:ObjectDataSource>
        <br />
    </div>
    <asp:DataList ID="dlstComments" runat="server" DataSourceID="objComments" DataKeyField="ID"
        OnSelectedIndexChanged="dlstComments_SelectedIndexChanged" 
        OnItemCommand="dlstComments_ItemCommand" >
        <ItemTemplate>
            <table>
                <tr>
                    <td style="width: 100%">
                        <div class="commentBoxStyle" id="div1" runat="server">
                            <table>
                                <tr>
                                    <td>
                                        <div class="commentDateStyle">
                                            <asp:Label ID="lblAddedBy" runat="server" 
                                                Text='<%# "Guestbook signed by " + Eval("AddedBy") + " on " + Eval("AddedDate", "{0:f}") %>' />
                                        </div>
                                        <div class="commentBodyStyle">
                                            <asp:Literal ID="lblBody" runat="server" Text='<%# Eval("EncodedBody") %>' />
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </td>
                    <td>
                        <asp:Panel ID="panAdmin" runat="server" Visible="<%# UserCanEdit %>">
                            <table>
                                <tr>
                                    <td>
                                        <asp:ImageButton ID="btnSelect" runat="server" AlternateText="Edit entry" CausesValidation="false"
                                            CommandName="Select" ImageUrl="~/Images/Edit.gif" />
                                    </td>
                                    <td>
                                        <asp:ImageButton ID="btnDelete" runat="server" AlternateText="Delete entry" CausesValidation="false"
                                            CommandArgument='<%# Eval("ID") %>' CommandName="Delete" ImageUrl="~/Images/Delete.gif"
                                            OnClientClick="if (confirm('Are you sure you want to delete this comment?') == false) return false;" />
                                    </td>
                                </tr>
                            </table>
                        </asp:Panel>
                    </td>
                </tr>
            </table>
        </ItemTemplate>
    </asp:DataList>
    <asp:ObjectDataSource ID="objComments" runat="server" SelectMethod="GetGuestBook"
        TypeName="MPS.BLL.GuestBook.GuestBook"></asp:ObjectDataSource>
</asp:Content>
